"use strict";

exports.__esModule = true;
exports.default = getChildren;

/**
 * 递归的方式找到当前节点下的所有的子节点
 * @param current 当前节点
 * @param opt 配置
 * @param array 原数组
 * @returns {Array}
 * @access private
 */
function getChildren(current, opt, array) {
  var id = current[opt.keyFiled];
  var childEle = [];
  array.map(function (item) {
    if (item[opt.parentFiled] === id) {
      childEle.push(item);
    }
  });
  childEle.length && childEle.map(function (ele) {
    ele[opt.childFiled] = getChildren(ele, opt, array);
  });
  return childEle;
}